summaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authorTed Unangst <tedu@cvs.openbsd.org>2014-01-13 22:29:33 +0000
committerTed Unangst <tedu@cvs.openbsd.org>2014-01-13 22:29:33 +0000
commitc32ae6603097d621c80e870433cbd66b9e23c124 (patch)
treed261111b45269f0c9d92a15d9e7a1756510dad53 /regress
parentd5dc4aa0082957d5fe56f022ca78994fec275109 (diff)
update for new options and clarify
Diffstat (limited to 'regress')
-rw-r--r--regress/usr.bin/signify/Makefile4
-rw-r--r--regress/usr.bin/signify/signify.sh15
2 files changed, 11 insertions, 8 deletions
diff --git a/regress/usr.bin/signify/Makefile b/regress/usr.bin/signify/Makefile
index 9796bba6328..4a8fb1037ce 100644
--- a/regress/usr.bin/signify/Makefile
+++ b/regress/usr.bin/signify/Makefile
@@ -1,6 +1,6 @@
-# $OpenBSD: Makefile,v 1.2 2014/01/10 22:52:50 tobiasu Exp $
+# $OpenBSD: Makefile,v 1.3 2014/01/13 22:29:32 tedu Exp $
-CLEANFILES += test.sig
+CLEANFILES += test.sig confirmorders confirmorders.sig
REGRESS_TARGETS = t1
t1:
diff --git a/regress/usr.bin/signify/signify.sh b/regress/usr.bin/signify/signify.sh
index ee9ccca9ec4..d1ef34987ea 100644
--- a/regress/usr.bin/signify/signify.sh
+++ b/regress/usr.bin/signify/signify.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: signify.sh,v 1.3 2014/01/09 18:59:56 tedu Exp $
+# $OpenBSD: signify.sh,v 1.4 2014/01/13 22:29:32 tedu Exp $
srcdir=$1
@@ -11,12 +11,15 @@ forgery="$srcdir/forgery.txt"
set -e
-signify -s $seckey -o test.sig -S $orders
-diff -u test.sig "$orders.sig"
-rm test.sig
+signify -S -s $seckey -x test.sig -m $orders
+diff -u "$orders.sig" test.sig
-signify -p $pubkey -V $orders > /dev/null
+signify -V -p $pubkey -m $orders
-signify -p $pubkey -V $forgery 2> /dev/null && exit 1
+signify -V -p $pubkey -m $forgery 2> /dev/null && exit 1
+
+signify -S -s $seckey -x confirmorders.sig -e -m $orders
+signify -V -p $pubkey -e -m confirmorders
+diff -u $orders confirmorders
true